Submit a card inventory order request.

This API is used to get inventory order information from partners.


Http Status Code

NameComment
200success
400bad request, like unsupported operation
401Unauthorized

Inventory Management

GroupPropertyRequiredConstraint/ScenarioHttpStatusCodeSub CodeDescription
clientReferenceNumberY>= 2 characters and <= 40 characters400400Required: 6021,Invalid: 6022Unique string sent by partner to identify the request
emailYif provided valid email with max 255 char4004006003
phoneYif provided, 10 digits40010406004
companyNIf provided, >= 2 characters and <= 40 characters4004006030
companyIdNIs Required if company is provided, >= 2 characters and <= 40 characters4004006031
deliveryTypeY400600Required: 6001,Invalid: 6002Options: Reg, Onn, Pse, Rush
lineslineTypeYMust be "Plastic"400600Required: 6041,Invalid: 6042Options: Plastic, Blank
productCodeYMust be Ceridian GPR product code4001000Required: 6051, Invalid: 6052Invalid product code for program
inventoryCodeY>=2 and <=404006000Required: 6061,Invalid: 6062
quantityY>=10 and <=10000400400Required: 6081, Invalid: 6082
deliveryAddresscontactNameY>= 2 characters and <=35 characters400400Required: 6101,Invalid: 6102Contact receiving the shipment
addressLine1Y>= 2 characters and <= 30 characters400400Required: 6111,Invalid: 6112
addressLine2N<= 30 characters4004006121
cityY<= 25 characters400400Required: 6131, Invalid: 6132
stateYMust be two characters400400Required: 6141, Invalid: 6142
postalCodeYMust be 5 digits only400400Required: 6151, Invalid: 6152
countryYMust be 3 characters400600Required: 6161, Invalid: 6162must be USA
residentialYMust be 1 character400600Required: 6171, Invalid: 6172Must be Y or N
Path Params
string
required

The program code associated with the inventory order.

Body Params

The order request payload containing order details, delivery address, and contact information.

string
required

Required. The unique client reference number for the order. Used for tracking and correlation of the order in client systems.

lines
array of objects
required

Required. The list of order lines, each representing a product or item in the order.

lines*
deliveryAddress
object
required

Represents a delivery address including contact information and location details.

string
required

Required. The type of delivery requested (e.g., standard, express).

string
required

Required. The contact phone number for the order.

string
required

Required. The name of the company placing the order.

string
required

Required. The unique identifier for the company placing the order.

string
required

Required. The contact email address for the order.

Headers
string
required

The unique request identifier provided in the X-GD-RequestId header for tracking.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/json